CREATE TABLE IF NOT EXISTS `{#}ilikeit` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL COMMENT 'ID автора',
  `date_pub` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'Дата публикации',
  `target_controller` varchar(32) DEFAULT NULL COMMENT 'Контроллер контента для лайка',
  `target_subject` varchar(32) DEFAULT NULL COMMENT 'Объект для лайка',
  `target_id` int(11) DEFAULT NULL COMMENT 'ID объекта лайка',
  `target_url` varchar(250) DEFAULT NULL COMMENT 'URL объекта лайка',
  `target_title` varchar(100) DEFAULT NULL COMMENT 'Заголовок объекта лайка',
  `target_user_id` int(11) DEFAULT NULL,
  `target_photo` text,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `target_controller` (`target_controller`),
  KEY `target_type` (`target_subject`),
  KEY `target_id` (`target_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='Лайки пользователей' AUTO_INCREMENT=1 ;


INSERT INTO `{#}users_tabs` (`title`, `controller`, `name`, `is_active`, `ordering`) VALUES ('Мне нравится', 'ilikeit', 'likes', '1', NULL);

CREATE TABLE IF NOT EXISTS `{#}ilikeit_types` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `is_enabled` tinyint(1) NOT NULL,
  `controller` varchar(32) NOT NULL,
  `name` varchar(32) NOT NULL,
  `title` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

INSERT INTO `{#}activity_types` (`is_enabled`, `controller`, `name`, `title`, `description`) VALUES ('1', 'ilikeit', 'likes', 'Мне нравится', 'нравится %s');


INSERT INTO `{#}controllers` (`title`, `name`, `is_enabled`, `options`, `author`, `url`, `version`, `is_backend`) VALUES ('Мне нравится', 'ilikeit', '1', '---\nis_auth_only: null\nis_social: always\nnum_items_in_profile: 15\ncheck_update: 1\nis_social_type: flat\nis_social_type2: vertical\nis_counter: 1\nonly_icons: null\nis_facebook: 1\nis_vk: 1\nis_ok: 1\nis_twitter: null\nis_mail: null\nis_gplus: null\nqtip_classes: qtip-rounded qtip-dark\nqtip_width: 220\nqtip_padding: 0\nqtip_border_width: 1\nqtip_border_radius: 4\nqtip_show_delay: 500\nqtip_hide_delay: 500\n', 'SJen', 'http://myinstant.ru', '1', '1');

CREATE TABLE IF NOT EXISTS `{#}ilikeit` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL COMMENT 'ID автора',
  `date_pub` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'Дата публикации',
  `target_controller` varchar(32) DEFAULT NULL COMMENT 'Контроллер контента для лайка',
  `target_subject` varchar(32) DEFAULT NULL COMMENT 'Объект для лайка',
  `target_id` int(11) DEFAULT NULL COMMENT 'ID объекта лайка',
  `target_url` varchar(250) DEFAULT NULL COMMENT 'URL объекта лайка',
  `target_title` varchar(100) DEFAULT NULL COMMENT 'Заголовок объекта лайка',
  `target_user_id` int(11) NOT NULL,
  `target_photo` text,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `target_controller` (`target_controller`),
  KEY `target_type` (`target_subject`),
  KEY `target_id` (`target_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='Лайки пользователей' AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `{#}ilikeit_types` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `is_enabled` tinyint(1) NOT NULL,
  `controller` varchar(32) NOT NULL,
  `name` varchar(32) NOT NULL,
  `title` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

INSERT INTO `{#}ilikeit_types` (`is_enabled`, `controller`, `name`, `title`) VALUES
(1, 'comments', 'comment', 'коментарии');

