<?php if ($items){ ?>

    <?php		
        $last_date = '';
        $today_date = date('j F Y');
        $yesterday_date = date('j F Y', time()-3600*24);
    ?>

    <div class="activity-list striped-list list-32">
        <?php foreach($items as $item) { ?>

            <?php $item_date = date('j F Y', strtotime($item['date_pub'])); ?>
            <?php if ($item_date != $last_date){ ?>

                <?php
                    switch($item_date){
                        case $today_date: $date = LANG_TODAY; break;
                        case $yesterday_date: $date = LANG_YESTERDAY; break;
                        default: $date = lang_date($item_date);
                    }
                ?>

                <h3><?php echo $date; ?></h3>
                <?php $last_date = $item_date; ?>

            <?php } ?>

            <?php $url = href_to('users', $profile['id']); ?>

            <div class="item <?php if ($profile['id']==$user->id) echo 'ilikeit_userlikes';?>">
                <div class="icon">
                    <a href="<?php echo $url; ?>" title="<?php html($profile['nickname']); ?>"><?php echo html_avatar_image($profile['avatar'], 'micro'); ?></a>
                </div>
                <div class="title-multiline">
                     <?php echo LANG_ILIKEIT_LIKE.' '.$item['title']; ?> <a href="<?php echo $item['target_url']; ?>"><?php echo $item['target_title']; ?></a>
                    <div class="details">
                        <span class="date"><?php echo $item['date_diff']; ?></span>
                    </div>
                </div>
                <?php
                    echo cmsEventsManager::hook("ilikeit_show_button", array(
                        'target_controller' => $item['target_controller'],
                        'target_subject' => $item['target_subject'],
                        'target_id' => $item['target_id'],
                        'target_title' => $item['target_title'],
                        'target_url' => $item['target_url'],
                        'target_user_id' => $item['target_user_id'],
                        'target_photo' => $item['target_photo']
                    ));
                    ?>                

            </div>
                

        <?php } ?>
    </div>

<?php } else { echo LANG_LIST_EMPTY; } ?>
