$(document).ready(function() {
    $('.like').each(function() {
        ilikeit_qtip(this);
    });
});
function ilikeit_qtip(_this) {
    var ts = $(_this).data('ts')
            , tc = $(_this).data('tc')
            , ti = $(_this).data('ti')
            , tt = $(_this).data('tt')
            , tu = $(_this).data('tu')
            , tp = $(_this).data('tp')
            , tui = $(_this).data('tui');
    $(_this).qtip({
        prerender: true,
        style: {
            classes: LANG_ILIKEIT_JS_QTIP_CLASSES,
            width: LANG_ILIKEIT_JS_QTIP_WIDTH,
            padding: LANG_ILIKEIT_JS_QTIP_PADDING,
            border: {
                width: LANG_ILIKEIT_JS_QTIP_BORDER_WIDTH,
                radius: LANG_ILIKEIT_JS_QTIP_BORDER_RADIUS,
            },
            tip: {size: {x: 20, y: 8}, corner: 'bottomMiddle'},
        },
        content: {
            title: 'Мне нравится',
            text: function(e, api) {
                $.post('/ilikeit/getusers', {'tc': tc, 'ts': ts, 'ti': ti, 'tt': tt, 'tu': tu, 'tui': tui, 'tp': tp}, function(result) {
                    if (result.error == '0') {
                        api.set('content.title', result.title);
                        api.set('content.text', result.html);
                        if (result.social){$('#'+tc+ts+ti).socialLikes();} 
                        api.reposition(null, true);
                        
                    } else {
                        api.hide();
                    }
                }, 'json')
                return 'Информация загружается...'; 
            }
        },
        position: {
            my: 'bottom center',
            at: 'top Center',
            target:$(_this).parent()

        },
        show: {delay: LANG_ILIKEIT_JS_QTIP_SHOW_DELAY},
//        hide:'unfocus'
        hide: {fixed: true, delay: LANG_ILIKEIT_JS_QTIP_HIDE_DELAY},
    });
}
function ilikeit_toggle(obj) {
    var _this = $(obj)
            , ts = _this.data('ts')
            , tc = _this.data('tc')
            , ti = _this.data('ti')
            , tt = _this.data('tt')
            , tu = _this.data('tu')
            , tp = _this.data('tp')
            , tui = _this.data('tui')
            ,action;
    _this.addClass('loading-element');
    
    if (_this.hasClass('active')) {action = 'remove';} else{ action = 'add';}
        $.post('/ilikeit/toggle', {'action': action, 'tc': tc, 'ts': ts, 'ti': ti, 'tt': tt, 'tu': tu, 'tui': tui, 'tp': tp}, function(result) {
            _this.removeClass('loading-element');
            if (result.error == '0') {
                if (result.success){
                    if (action == 'remove'){
                        if (_this.hasClass('like_icon')){_this.removeClass('active');}
                        else {
                            _this.find(".like_icon").fadeTo(500, 0.4, function() {
                                _this.removeClass('active');
                            });
                        }
                    } else {
                        if (_this.hasClass('like_icon')){_this.addClass('active');}
                        else {
                            _this.find(".like_icon").fadeTo(500, 1, function() {
                                _this.addClass('active');
                            });
                        }
                    }
                    if (_this.parent().parent().hasClass('ilikeit_userlikes')){
                            _this.parent().parent().animate({opacity: "0"}, 500, function() {
                            _this.parent().parent().remove();
                        });
                    return;                        
                    }
                    
                    _this.find('.ilikeit_counter').animate({opacity: "0.1"}, 500, function() {
                        $(this).html(result.counter);
                    })
                            .animate({opacity: "1"}, 500);
                }
                if (result.title){
                    _this.qtip('option', 'content.title', result.title);
                    _this.qtip('option', 'content.text', result.html);
                    var api = _this.qtip('api');
                    if (result.social){$('#'+tc+ts+ti).socialLikes();} 
                    api.reposition(null, true);
                    
                } else {
                    _this.qtip('destroy');
                    ilikeit_qtip(obj);
                }       
            } else {
                _this.qtip('destroy');
                ilikeit_qtip(obj);            
            }
        }, 'json')
}
;